unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, 
  StdCtrls, Menus, ExtCtrls, ETrayIc;

type
  TForm1 = class(TForm)
    TrayIcon1: TEvTrayIcon;
    GroupBox1: TGroupBox;
    RGrpStatus: TRadioGroup;
    EdtHint: TEdit;
    Label1: TLabel;
    PopupMenu1: TPopupMenu;
    ItMenuRestaurar: TMenuItem;
    N1: TMenuItem;
    ItMenuAlterar: TMenuItem;
    ItMenuSair: TMenuItem;
    CBoxMostrarHint: TCheckBox;
    RGrpMostrarIcone: TRadioGroup;
    procedure RGrpStatusClick(Sender: TObject);
    procedure RGrpMostrarIconeClick(Sender: TObject);
    procedure CBoxMostrarHintClick(Sender: TObject);
    procedure EdtHintChange(Sender: TObject);
    procedure ItMenuRestaurarClick(Sender: TObject);
    procedure ItMenuAlterarClick(Sender: TObject);
    procedure ItMenuSairClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.RGrpStatusClick(Sender: TObject);
begin
  TrayIcon1.Enabled := (RGrpStatus.ItemIndex = 0);
  if RGrpStatus.ItemIndex = 1 then
    ItMenuAlterar.Caption := '&Habilitar'
  else
    ItMenuAlterar.Caption := '&Desabilitar';
end;

procedure TForm1.RGrpMostrarIconeClick(Sender: TObject);
begin
  if RGrpMostrarIcone.ItemIndex = 0 then
    TrayIcon1.ShowIcon := siAlways
  else
    TrayIcon1.ShowIcon := siOnMinimize;
end;

procedure TForm1.CBoxMostrarHintClick(Sender: TObject);
begin
  TrayIcon1.ShowHint := CBoxMostrarHint.Checked;
end;

procedure TForm1.EdtHintChange(Sender: TObject);
begin
  TrayIcon1.Hint := EdtHint.Text;
end;

procedure TForm1.ItMenuRestaurarClick(Sender: TObject);
begin
  Application.Restore;
end;

procedure TForm1.ItMenuAlterarClick(Sender: TObject);
begin
  if RGrpStatus.ItemIndex = 0 then
    begin
      ItMenuAlterar.Caption := '&Habilitar';
      RGrpStatus.ItemIndex := 1;
    end
  else
    begin
      ItMenuAlterar.Caption := '&Desabilitar';
      RGrpStatus.ItemIndex := 0;
    end;
end;

procedure TForm1.ItMenuSairClick(Sender: TObject);
begin
  Close;
end;

end.
